Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to persistently indicate case sensitivity

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Nov 2012 11:56:19 +0200

> Date: Fri, 30 Nov 2012 09:36:06 +0100
> From: Dani Moncayo <[email-masked]>
> Cc: Juri Linkov <[email-masked]>, [email-masked], [email-masked]
> 
> > If you must have some indication of the kind of i-search, add some
> > clearly visible indicators, like
> >
> >   I-search(NC) -- case-insensitive ("no-case")
> >   I-search(CS) -- case-sensitive
> >   I-search(CS,WS) -- and lax whitespace
> >   I-search(CS,WS,RX) -- and regexp
> 
> I'd like to mention that a bad consequence of this approach is that
> the prompt string would have a variable length, so that the search
> string would not be shown in a stable position, making harder for the
> user to concentrate on it.

If that is indeed a problem (I doubt it), then it can be easily taken
care of with align-to display spec.

> Maybe the modeline would be the best place to put all these I-search flags...

The mode line is too crammed already, so you may not have enough space
there.  But we could try putting this in the minor-mode string.